# Venues

Venues

## Gets all of the venues in the system.

 - [GET /venues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/listvenues.md): This method will scan all venues and and return them to the caller.

## Creates a new venue record that does not already exist.

 - [POST /venues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/createvenue.md): This method will auto-generate an ID and create a new venue. If an ID is specified for the venue, an error will be thrown.

## Execute Batch Operations

 - [POST /venues/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a venue from the system by its ID.

 - [DELETE /venues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/deletevenue.md): This method will delete a venue with the specified ID.

## Returns a venue from the system by its ID.

 - [GET /venues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/getvenue.md): This method will look up a venue by the specified ID and return it back.

## Partially updates a venue with the specified ID.

 - [PATCH /venues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/patchvenue.md): This method will patch an existing venue with the specified ID, using the HTTP PATCH specification.

## Updates a venue with the specified ID.

 - [PUT /venues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/venues/updatevenue.md): This method will update an existing venue with the specified ID.

